-- -----------------------------------------------------------------
-- /------------------------------------------------------------\ --
-- |															| --
-- |	MAUTH	(http://mauth.missionsix.net/)					| --
-- |	VERSION 0.9.2											| --
-- |															| --
-- \------------------------------------------------------------/ --
-- -----------------------------------------------------------------


-- --------------------------------------------------------

--
-- ### Creating table structure `<?php echo  $TABLE_PREFIX; ?>sessions` ###
--

CREATE TABLE IF NOT EXISTS `<?php echo  $TABLE_PREFIX; ?>sessions` (
  `session_id` varchar(40) NOT NULL default '',
  `fb_session_id` varchar(255) default NULL,
  `userid` int(11) NOT NULL default '0',
  `ip_address` varchar(46) NOT NULL default '0',
  `user_agent` varchar(256) NOT NULL,
  `last_activity` int(10) unsigned DEFAULT 0 NOT NULL,
  `user_data` text NOT NULL,
  PRIMARY KEY (`session_id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

-- --------------------------------------------------------

--
-- ### Creating table structure `<?php echo  $TABLE_PREFIX; ?>users` ###
--

CREATE TABLE IF NOT EXISTS `<?php echo  $TABLE_PREFIX; ?>users` (
  `userid` int(2) NOT NULL auto_increment,
  `roleid` int(4)  NOT NULL default <?php echo $DEFAULT_USERID; ?>,
  `fbuserid` int(15) NOT NULL default 0,
  `username` varchar(64) NOT NULL default '',
  `email` varchar(250) NOT NULL default '',
  `password` varchar(128) NOT NULL default '',
  `joined` TIMESTAMP NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `about` text NOT NULL,
  `imageid` int(5) NOT NULL default '0',
  `website` varchar(250) NOT NULL default '',
  `profile` int(11) NOT NULL default '0',
  PRIMARY KEY  (`userid`),
  FULLTEXT KEY `about` (`about`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1;

-- --------------------------------------------------------

--
-- ### Creating table structure `<?php echo  $TABLE_PREFIX; ?>users_reg` ###
--

CREATE TABLE IF NOT EXISTS `<?php echo  $TABLE_PREFIX; ?>users_reg` (
  `regid` int(11) NOT NULL auto_increment,
  `username` varchar(32) NOT NULL default '',
  `email` varchar(64) NOT NULL default '',
  `roleid` int(4) NOT NULL DEFAULT <?php echo $DEFAULT_USERID; ?>,
  `timestamp` timestamp NOT NULL default CURRENT_TIMESTAMP on update CURRENT_TIMESTAMP,
  `regcode` varchar(255) NOT NULL default '',
  PRIMARY KEY  (`regid`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1;

-- --------------------------------------------------------

--
-- ### Creating table structure `<?php echo  $TABLE_PREFIX; ?>profiles` ###
--

CREATE TABLE IF NOT EXISTS `<?php echo  $TABLE_PREFIX; ?>profiles` (
  `profileid` int(11) NOT NULL auto_increment,
  `userid` int(11) NOT NULL default '0',
  `about` text NOT NULL,
  `profile` text NOT NULL,
  `css` text NOT NULL,
  `twitter` varchar(128) NOT NULL default '',
  `lastfm` varchar(128) NOT NULL default '',
  PRIMARY KEY  (`profileid`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1;

-- --------------------------------------------------------

--
-- ### Table structure for table `<?php echo $TABLE_PREFIX; ?>roles` ###
--

CREATE TABLE IF NOT EXISTS `<?php echo $TABLE_PREFIX; ?>roles` (
`roleid` int(4) NOT NULL auto_increment,
`parentid` int(4) default '0',
`name` varchar(255) NOT NULL default '',
PRIMARY KEY (`roleid`)
) ENGINE = MYISAM CHARSET=latin1;


-- ------------------------------------------------------------

--
--	### Creating table structure `<?php echo $TABLE_PREFIX; ?>permissions` ###
--

CREATE TABLE IF NOT EXISTS `<?php echo $TABLE_PREFIX; ?>permissions` (
  `permid` int(12) NOT NULL auto_increment,
  `title` varchar(255) NOT NULL,
  `description` text NOT NULL,
  PRIMARY KEY  (`permid`),
  UNIQUE KEY `title` (`title`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1;



-- ------------------------------------------------------------

--
-- ### Creating table structure `<?php echo  $TABLE_PREFIX; ?>store` ###
--

CREATE TABLE IF NOT EXISTS `<?php echo  $TABLE_PREFIX; ?>store` (
`key` VARCHAR( 255 ) NOT NULL ,
`data` TEXT NOT NULL ,
PRIMARY KEY ( `key` )
) ENGINE = MYISAM CHARSET=latin1;



--
-- ### Creating table structure `<?php echo  $TABLE_PREFIX; ?>role_permissions` ###
--

CREATE TABLE IF NOT EXISTS `<?php echo  $TABLE_PREFIX; ?>role_permissions` (
  `roleid` int(11) NOT NULL,
  `permid` int(11) NOT NULL,
  `value` tinyint(1) NOT NULL,
  KEY `roleid` (`roleid`,`permid`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;


-- --------------------------------------------------------

--
-- ### Creating table structure `<?php echo  $TABLE_PREFIX; ?>role_uri` ###
--

CREATE TABLE IF NOT EXISTS `<?php echo  $TABLE_PREFIX; ?>role_uri` (
  `roleid` int(12) NOT NULL,
  `uri` varchar(255) NOT NULL,
  `valid` int(1) NOT NULL,
  KEY `roleid` (`roleid`,`uri`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;


-- --------------------------------------------------------

--
-- ### Populating `<?php echo  $TABLE_PREFIX; ?>roles` table ###
--

INSERT INTO `<?php echo  $TABLE_PREFIX; ?>roles` (`roleid`, `parentid`, `name`) VALUES
(1, 0, 'user'),
(2, 0, 'admin');

--  --------------------------------------------------------

--
-- ### Populating `<?php echo  $TABLE_PREFIX; ?>permissions` table ###
--

INSERT INTO `<?php echo  $TABLE_PREFIX; ?>permissions` (`permid`, `title`, `description`) VALUES
	(1, 'edit_permissions', '[[dnd]]Can edit permissions?'),
	(2, 'add_permissions', '[[dnd]]Can add permissions?'),
	(3, 'edit_roles', '[[dnd]]Can add roles?'),
	(4, 'add_roles', '[[dnd]]Can add roles? '),
	(5, 'delete_user', '[[dnd]]Can delete users?'),
	(6, 'edit_user', '[[dnd]]Can edit user?'),
	(7, 'admin', '[[dnd]]Can access admin panel?'),
    (8, 'add_user', '[[dnd]]Can delete user account?'),
    (9, 'delete_roles', '[[dnd]]Can delete roles?'),
    (10,'delete_permissions', '[[dnd]]Can delete permissions?');
	
-- --------------------------------------------------------

--
-- ### Populating `<?php echo  $TABLE_PREFIX; ?>role_permissions` table ###
--

INSERT INTO `<?php echo  $TABLE_PREFIX; ?>role_permissions` (`roleid`, `permid`, `value`) VALUES
	(2, 1, 1),
	(2, 2, 1),
	(2, 3, 1),
	(2, 4, 1),
	(2, 5, 1),
	(2, 6, 1),
	(2, 7, 1),
    (2, 8, 1),
    (2, 9, 1),
    (2,10, 1);
		
-- ------------------------------------------------------------

--
-- ### Updating to current version in `<?php echo  $TABLE_PREFIX; ?>store` ###
--

REPLACE INTO `<?php echo  $TABLE_PREFIX; ?>store` 
(`key`,`data`) VALUES ('version','0.9.2');
