<?php if (!defined('BASEPATH')) exit('No direct script access allowed'); 

/**-------------------------------------------------------------------------
 *
 * Mauth Controller
 *
 * @file:  		./application/libraries/Mauth_Controller.php
 * @version:	0.9.2
 * @modified:	March 16, 2010
 * @author:		Pat Andrew	(http://patandrew.com/)
 * @link:		http://mauth.missionsix.net/
 *
 *-------------------------------------------------------------------------*/

DEFINE('MAUTH_VERSION', '0.9.2');

class Mauth_Controller extends Controller
{
	// page data
	public $data;


	/*
    |--------------------------------------------------------------------------
    | Controller Constructor
    |--------------------------------------------------------------------------
    | This constructor sets up the Mauth hook, and executes the Mauth_Hook. 
    | It determines whether Mauth content should be loaded based on your 
    | configuration by making a call to _continue_mauth().
    |
    | When continuing, templating and helpers are loaded for display purposes.
    |
    */	
	public function __construct()
	{
		$this->hooks =& load_class('Hooks');
		
		parent::__construct(); 
        
		// profiler    	
    	//$this->output->enable_profiler(TRUE);

		$this->hooks->call('pre_controller_constructor', 'call');    

		if( ! _continue_mauth() )
		{
            return;
		}  

        $this->load->library( array('template') );
		$this->load->helper( array('html', 'url'));

        $config =  $this->config->item('mauth');
        $this->data['title'] = $this->data['pagetitle'] = $config['title'];

		$this->data['metadata'] = array();

    	$this->template->write_view('userbox', $this->mauth->config['template_folder'] .'userbox', $this->data, TRUE);
	}
	
	/*
    |--------------------------------------------------------------------------
    | Display Page
    |--------------------------------------------------------------------------
    | This method is a global function for displaying the resulting page.  It
    | sets up some common content areas such as the header, navigation and 
    | footer, as well as setting the breadcrumb trail.
    |
    | This is based off the Template class provided by Mauth.  For more info:
    |   http://mauth.missionsix.net/user_guide/libraries/template
    |
    */
	public function display()
	{
	
	  $this->data['breadcrumbs'] = $this->navigation->trail();
	  $this->data['nav']		 = $this->navigation->get();
	  
	  // Write to $title
      $this->template->write('title', $this->data['title']);
	
      $this->template->write_view('header', 'includes/header', $this->data, true);
      
      $this->template->write_view('navigation', 'includes/nav', $this->data, true);
      
      $this->template->write_view('footer', 'includes/footer', $this->data, true);
      
      // Render the template
      $this->template->render();
	}	
}
