<?php if (!defined('BASEPATH')) exit('No direct script access allowed'); 

/**-------------------------------------------------------------------------
 *
 *	Mauth Facebook Helper
 *	includes functions useful for facebook integration
 *
 * @file:  		application/third_party/mauth/helpers/mauth_fb_helper.php
 * @version:	0.9.2
 * @modified:	October, 2010
 * @author:		Pat Andrew	(http://patandrew.com/)
 * @link:		http://mauth.missionsix.net/
 *
 *-------------------------------------------------------------------------*/
 

/** 
 *	Get Facebook API Key
 *
 *	@return	string	facebook api key;
 */
function fb_api_key() {
 
 	$ci = get_instance(); 	
 	$config = $ci->config->item('mauth');
 
	return $config['facebook']['app_key'];
}


/**
 *	Get the Facebook Session Secret
 */
function fb_session_secret() {
 	$ci = get_instance(); 	
 	$config = $ci->config->item('mauth');
 
	return $config['facebook']['secret'];
}


/**
 *	Generate the Facebook session secret
 */
function fb_generate_session_secret() {
 	$ci = get_instance(); 	
 	$config = $ci->config->item('mauth');
 
	return $config['facebook']['generate_secret'];
}

/**
 *	Facebook Registration URL
 *	
 *  @return	string		facebook registration url;
 */
function fb_reg_url() {
	$ci = get_instance();
	$config = $ci->config->item('mauth');
	return $config['fb_reg_url'];
}

/*	end of file:	mauth_fb_helper.php
	file location:	./application/helpers/mauth_fb_helper.php */
